Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalComboBoxUI.MetalComboBoxLayoutManager

    java.lang.Object
      javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager
          javax.swing.plaf.metal.MetalComboBoxUI.MetalComboBoxLayoutManager

All Implemented Interfaces:
  LayoutManager

Enclosing class:
  MetalComboBoxUI

    public class MetalComboBoxUI.MetalComboBoxLayoutManager

extends BasicComboBoxUI.ComboBoxLayoutManager

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Constructor Summary
`MetalComboBoxUI.MetalComboBoxLayoutManager()`

Method Summary
`void` | `layoutContainer(Container parent)` Lays out the specified container.
`void` | `superLayout(Container parent)`

Methods inherited from class javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager
`addLayoutComponent, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalComboBoxUI.MetalComboBoxLayoutManager

    public MetalComboBoxUI.MetalComboBoxLayoutManager()

Method Detail

### layoutContainer

    public void layoutContainer(Container parent)

  Description copied from interface: `LayoutManager`
  Lays out the specified container.

  Specified by:
    `layoutContainer` in interface `LayoutManager`
  Overrides:
    `layoutContainer` in class `BasicComboBoxUI.ComboBoxLayoutManager`
  Parameters:
    `parent` - the container to be laid out

### superLayout

    public void superLayout(Container parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.